Subject: bug#60942: 30.0.50; [PATCH] Indices in Eshell variable interpolation don't work with async subcommands

From: Jim Porter <[email-masked]>
Date: Thu, 19 Jan 2023 12:20:48 -0800

On 1/19/2023 11:41 AM, Eli Zaretskii wrote:
> Is this for master?  If so, okay.  Otherwise, you'll need to adjust
> the version in the obsolescence declaration.

Personally, I think just for master. The change isn't entirely 
risk-free. This code is a bit tricky, and I'd want a fair amount of time 
for people to identify bugs, just in case I regressed something.

(If this were for the release branch, we could probably remove 
'eshell-eval-indices', since it was introduced in Emacs 29 anyway.)